chrome.browserAction.onClicked.addListener(function(tab) {
	chrome.tabs.sendMessage(tab.id, "Str Lead: Phone");
});

var idxDisconnectColor = 0;
var onlineScore = 22;
var lastNotification = false;
var lastOnlineTimestamp = 0;
var lastDisconnectAlert = 0;
var hasMessage = false;
var hasMessageAlert = false;
var idxHasMessageColor = 0;

var turnOff = function()
{
    hasMessage = false;
};
 
(function()
{
    chrome.browserAction.onClicked.addListener(turnOff);
})();

var chkOmniOnline = function(){
   onlineScore -- ;
   
  if ( hasMessage ) {

    var now = Date.now();
    if ( now - hasMessageAlert >= 200){
      hasMessageAlert = now;
      idxHasMessageColor ++;
      idxHasMessageColor %= 2;
      switch( idxHasMessageColor ) {
      case 0:
        chrome.browserAction.setBadgeText({ text: "Got" });
        chrome.browserAction.setBadgeBackgroundColor({ color: [255, 99, 71, 100] });
        break;
      case 1:
        chrome.browserAction.setBadgeText({ text: "Msg" });
        chrome.browserAction.setBadgeBackgroundColor({ color:[65, 105, 225, 100] });
        break;
      }

    }
return;


  }

  if ( onlineScore >= 0 ){
    // chrome.browserAction.setIcon({path:"Connected.png"});
    chrome.browserAction.setBadgeText({ text: "Online" });
    chrome.browserAction.setBadgeBackgroundColor({ color: [65, 105, 225, 100] });
   
  }else{
    var now = Date.now();
    if ( now - lastDisconnectAlert >= 200){
      lastDisconnectAlert = now;
      idxDisconnectColor ++;
      idxDisconnectColor %= 2;
      switch( idxDisconnectColor ) {
      case 0:
        chrome.browserAction.setBadgeText({ text: "---" });
        chrome.browserAction.setBadgeBackgroundColor({ color: [255, 99, 71, 100] });
        break;
      case 1:
        chrome.browserAction.setBadgeText({ text: "XXXXX" });
        chrome.browserAction.setBadgeBackgroundColor({ color: [  0,  0,  0, 100] });
        break;
      }

    }
    if( !lastNotification ){
        
      lastNotification = true;
    }
  }
}

setInterval(chkOmniOnline, 1000);

chrome.runtime.onMessage.addListener(
  function (request, sender, sendResponse) {
    switch (request.type) {
    case "omni_status":
      if(request.text === "Online"){
        onlineScore = 10;
        //chrome.browserAction.setBadgeText({ text: "Online" });
        lastOnlineTimestamp = request.timestamp;
      }else{

      }
      break;
    case "omni_message":
      if(request.text === "Message"){
        if (request.msgLength > 0 ){
          hasMessage = true;
        }
      }
      break;
    default:
      console.log("Error: Unkown request.")
      console.log(request);
    }
    sendResponse({response: "Message ustener is sucssesful"});
  }
);